from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.util import XUpdatable

@runtime_checkable
class XUpdatable2(XUpdatable, Protocol):
    def updateSoft(self) -> None: ...
    def updateHard(self) -> None: ...
